members.dev
Organizations

List Organizations

Lists Organizations

GET
/v1/organizations

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

page?integer

Page number

Default1
Range1 <= value
size?integer

Page size

Default50
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/v1/organizations"
{
  "items": [
    {
      "id": "org_01KKSMB47VYGW97GFE67VGDK7M",
      "short_id": "XF42",
      "name": "Acme Corp",
      "description": "Main customer account",
      "logo_url": "https://storage.googleapis.com/bucket/orgs/org_01ARZ/logo_550e8400-e29b-41d4-a716-446655440000.png",
      "contact": {
        "email": "hello@acme.example",
        "phone": "+1 555 0100",
        "website": "https://acme.example",
        "locations": [
          {
            "name": "Main clubhouse",
            "formatted_address": "1 Harbour Road, Dublin",
            "google_place_id": "ChIJE9on3F3HZogRG7ci1QV65HU"
          }
        ],
        "instagram": "https://instagram.com/acme",
        "x": "https://x.com/acme",
        "tiktok": "https://tiktok.com/@acme",
        "linkedin": "https://linkedin.com/company/acme",
        "facebook": "https://facebook.com/acme"
      },
      "is_default": true,
      "invoice_prefix": "INV",
      "currency": "USD",
      "timezone": "Etc/UTC",
      "locale": "en-US",
      "invoice_next_number": 1,
      "credit_note_prefix": "CN",
      "credit_note_next_number": 1,
      "created_at": null,
      "updated_at": null,
      "slug": "acme-corp",
      "portal": {
        "theme": {
          "brand": "#155dfc",
          "highlight": "#f59e0b",
          "heading": "#0f172a",
          "color_scheme": "dark"
        },
        "allow_signups": true,
        "require_approval": true,
        "banner_image_url": "https://storage.googleapis.com/bucket/orgs/org_01ARZ/banner_550e8400-e29b-41d4-a716-446655440000.png",
        "application_fieldset_ids": [
          "string"
        ]
      }
    }
  ],
  "total": 0,
  "page": 1,
  "size": 1,
  "pages": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}